List PnL leaders
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "today"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'today'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders"
payload = { "type": "today" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": {
"items": [
{
"wallet": "7xK...",
"pnl": 15000,
"pnl_percent": 42.5
}
]
},
"metadata": {
"type": "today",
"chain": "solana",
"total_items": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Wallets
List PnL leaders
Retrieve wallet PnL leaderboards. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
wallets
/
pnl-leaders
List PnL leaders
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "today"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'today'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/pnl-leaders"
payload = { "type": "today" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": {
"items": [
{
"wallet": "7xK...",
"pnl": 15000,
"pnl_percent": 42.5
}
]
},
"metadata": {
"type": "today",
"chain": "solana",
"total_items": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Was this page helpful?